Jupiter ERP
Account API

Get Personnel

/api/account/personnel/{id}

GETHTTP
get/api/account/personnel/{id}

Example request

GET https://api.jupiter-erp.com/api/account/personnel/example-id

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/personnel/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
idpathyes

Responses

200OK
FieldTypeDescription
account_userobject
FieldTypeDescription
display_namestring
idinteger
account_user_idinteger
active*boolean
contactobject
FieldTypeDescription
idinteger
namestring
contact_idinteger
created_atstring (date-time)Creation timestamp in ISO 8601 format.
departmentstring
emailstring (email)
employee_numberstring
first_name*string
genderstring

string

  • male
  • female
  • diverse
hire_datestring (date)
id*integer
internal_notestringHTML
last_name*string
locationobject
FieldTypeDescription
idinteger
namestring
location_idinteger
mobilestring
phonestring
positionstring
termination_datestring (date)
titlestring
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
Example response
{
  "id": 0,
  "location_id": 0,
  "location": {
    "id": 0,
    "name": "string"
  },
  "contact_id": 0,
  "contact": {
    "id": 0,
    "name": "string"
  },
  "account_user_id": 0,
  "first_name": "string",
  "last_name": "string",
  "active": true
}
Personnel

Questions about integration?

GET /api/account/personnel/{id} · Jupiter ERP